#include <iostream>
#include <string>

std::string test2(std::string&& teststring) {
	return teststring;
}
std::string test(std::string&& teststring) {
	return test2(std::forward<std::string>(teststring));
}

int main() {
	std::string a = test(std::string("test"));
    std::cout << "a is " << a << std::endl;
	return 0;
}

aspect test {
	advice execution("% test(...)") : after() {
		*tjp->result() = std::string("whatever");
	}
};
